TF_ObjectImpl< BASE, SCHEME_OPTIONS, KEY_CLASS > Class Template Reference

_ More...

`#include <pubkey.h>`

Inheritance diagram for TF_ObjectImpl< BASE, SCHEME_OPTIONS, KEY_CLASS >:

## Public Types

typedef KEY_CLASS | KeyClass
typedef SCHEME_OPTIONS | SchemeOptions

## Public Member Functions

const KeyClass & | GetKey () const
KeyClass & | AccessKey ()
PublicKey & | AccessPublicKey ()
const PublicKey & | GetPublicKey () const
PrivateKey & | AccessPrivateKey ()
const PrivateKey & | GetPrivateKey () const
const KeyClass & | GetTrapdoorFunction () const
PK_MessageAccumulator * | NewSignatureAccumulator (RandomNumberGenerator &rng) const
PK_MessageAccumulator * | NewVerificationAccumulator () const
std::string | AlgorithmName () const

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Protected Member Functions

const BASE::MessageEncodingInterface & | GetMessageEncodingInterface () const
const TrapdoorFunctionBounds & | GetTrapdoorFunctionBounds () const
const BASE::TrapdoorFunctionInterface & | GetTrapdoorFunctionInterface () const
HashIdentifier | GetHashIdentifier () const
size_t | GetDigestSize () const

## Detailed Description

### template<class BASE, class SCHEME_OPTIONS, class KEY_CLASS>
class TF_ObjectImpl< BASE, SCHEME_OPTIONS, KEY_CLASS >

_

Definition at line 437 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h